Skip to main content
GET
Describe an Authenticated User

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user
string
required

Workspace User ID

Query Parameters

include
enum<string>[]
Available options:
devices,
devices-count,
devices-exists,
roles,
roles-count,
roles-exists
filter
string
page
string
sort
string

Response

WorkspaceUserDetailedResponseData

id
string
required
Example:

"wsusr_01hq8xyzabc123def456ghi789"

state
enum<string>
required
Available options:
staged,
active,
expiring,
expired,
deactivated
provider
enum<string>
required
Available options:
google,
federation,
okta
provider_id
string | null
required

The ID of the user from the IdP SSO Response

name
string
required

The first and last name of the user from the IdP SSO Response

handle
string
required

The username of the user. Unless overridden, this is usually the email address handle

email
string
required

The email address of the user

ui_mode
string | null
required

Provisionr has UI color accessibility features that allows each user to choose light or dark mode

ui_color
string | null
required

Provisionr has UI color accessibility features that allows each user to choose any color theme that they prefer and light or dark mode for the application UI. The sign in page and the default color theme for users is usually based on your company branding or logo color.

You can see all of the colors in the Tailwind CSS docs: https://tailwindcss.com/docs/colors

timestamp
object
required

The timestamps for the workspace user record

Example:
count
object
required

Count of related records

included
string[]
required
Minimum array length: 1

API hyperlinks related to the workspace user record